Subject: bug#44720: closed (Re: [bug#44720] [PATCH] gnu: astroid: Fix inputs.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Nov 2020 14:17:02 +0000

Your bug report

#44720: [PATCH] gnu: astroid: Fix inputs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44720: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44720
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44720] [PATCH] gnu: astroid: Fix inputs.
From: Efraim Flashner <[email-masked]>
To: Tanguy LE CARROUR <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Nov 2020 16:15:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Nov 18, 2020 at 02:58:13PM +0100, Tanguy LE CARROUR wrote:
> Hi,
> 
> 
> Excerpts from Efraim Flashner's message of November 18, 2020 11:50 am:
> > On Wed, Nov 18, 2020 at 11:22:30AM +0100, Tanguy LE CARROUR wrote:
> >> Excerpts from Efraim Flashner's message of November 18, 2020 11:03 am:
> >> > Can you try the attached patch? It wraps the binary in GI_TYPELIB_PATH
> >> > instead of propagating gsettings-desktop-schemas.
> >> 
> >> Nop, does not work! :-(
> >> 
> >> I still get the following error message on startup:
> >> 
> >> ```
> >> (astroid:7236): GLib-GIO-ERROR **: 11:19:11.738: Settings schema 'org.gnome.desktop.interface' is not installed
> >> ```
> >> 
> > 
> > I have another patch to try!
> 
> And this one works fine! I'll have to read it again, just to make sure I
> understand everything! ^_^'

Yay! The short version is 'wrap-with-GI_TYPELIB_PATH makes sure the
TYPELIB path is set correctly. When you said the settings schema was
missing I figured it needed the compile-schema phase from the
glib-or-gtk build-system, and it almost definitely needed the 'wrap phase
from glib-or-gtk also.

> Thanks

NP :) Patch pushed!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: astroid: Fix inputs.
From: Tanguy Le Carrour <[email-masked]>
To: [email-masked]
Cc: Tanguy Le Carrour <[email-masked]>
Date: Wed, 18 Nov 2020 09:30:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/mail.scm (astroid)[native-inputs]: Remove gsettings-desktop-schemas.
[propagated-inputs]: Add adwaita-icon-theme and gsettings-desktop-schemas.
---
 gnu/packages/mail.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index c5f4472c83..adf83f7948 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -761,7 +761,6 @@ mailpack.  What can alterMIME do?
              (invoke "ninja" "install"))))))
     (native-inputs
      `(("glib-networking" ,glib-networking)
-       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gnupg" ,gnupg)
        ("ninja" ,ninja)
        ("pkg-config" ,pkg-config)
@@ -780,6 +779,9 @@ mailpack.  What can alterMIME do?
        ("python" ,python-wrapper)
        ("python-pygobject" ,python-pygobject)
        ("webkitgtk" ,webkitgtk)))
+    (propagated-inputs
+     `(("adwaita-icon-theme" ,adwaita-icon-theme) ; Required for the thread view
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas))) ; Required to start
     (home-page "https://astroidmail.github.io/")
     (synopsis "GTK frontend to the notmuch mail system")
     (description
-- 
2.29.2